# Visualization
TKV3d
StdPrs

# StdPrs_WFSurface Class Reference

`#include <StdPrs_WFSurface.hxx>`

Inheritance diagram for StdPrs_WFSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Adaptor3d_HSurface)&aSurface, const Handle(Prs3d_Drawer)&aDrawer)
| Draws a surface by drawing the isoparametric curves with respect to a fixed number of points given by the Drawer. The number of isoparametric curves to be drawn and their color are controlled by the furnished Drawer. .

## Member Function Documentation

static Standard_EXPORT void StdPrs_WFSurface::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Adaptor3d_HSurface)& | aSurface,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

void StdPrs_WFSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- StdPrs_WFSurface.hxx